#
# spec file for package autoconf-el (Version 2.65)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           autoconf-el
BuildRequires:  emacs-nox
License:        GPLv3+
Group:          Productivity/Editors/Emacs
AutoReqProv:    on
Version:        2.65
Release:        3
Summary:        Emacs mode for editing GNU Autoconf scripts
Url:            http://www.gnu.org/software/autoconf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         autoconf-%{version}.tar.bz2
BuildArch:      noarch
Enhances:       emacs
%define site_lisp %{_prefix}/share/emacs/site-lisp

%description
Emacs mode for editing GNU Autoconf scripts

Authors:
--------
    Martin Buchholz <martin@xemacs.org>
    Akim Demaille <akim@freefriends.org>

%prep
%setup -q -n autoconf-%{version}

%build
%{suse_update_config -f config}
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
make -C lib/emacs

%install
make -C lib/emacs install DESTDIR=$RPM_BUILD_ROOT
sed 's/^;//' > $RPM_BUILD_ROOT%{site_lisp}/suse-start-%{name}.el <<\EOF
;;; %{site_lisp}/suse-start-%{name}.el
;
(autoload 'autoconf-mode "autoconf-mode"
	  "Major mode for editing autoconf files." t)
(add-to-list 'auto-mode-alist
	     '("configure\\.\\(ac\\|in\\)\\'" . autoconf-mode))
;
(autoload 'autotest-mode "autotest-mode"
	  "Major mode for editing autotest files." t)
(add-to-list 'auto-mode-alist
	     '("\\.at\\'" . autotest-mode))
;
;;; %{site_lisp}/suse-start-%{name}.el ends here
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{site_lisp}/*.el
%{site_lisp}/*.elc

%changelog
