#
# spec file for package autoconf (Version 2.65)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           autoconf
BuildRequires:  help2man
License:        GPLv3+
Group:          Development/Tools/Building
Url:            http://www.gnu.org/software/autoconf
AutoReqProv:    on
Requires:       m4 >= 1.4.6
PreReq:         %{install_info_prereq}
Version:        2.65
Release:        3
Summary:        A GNU Tool for Automatically Configuring Source Code
Source:         autoconf-%{version}.tar.bz2
Patch0:         autoreconf-ltdl.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
GNU Autoconf is a tool for configuring source code and makefiles. Using
autoconf, programmers can create portable and configurable packages,
because the person building the package is allowed to specify various
configuration options.

You should install autoconf if you are developing software and would
like to create shell scripts to configure your source code packages.

Note that the autoconf package is not required for the end user who may
be configuring software with an autoconf-generated script; autoconf is
only required for the generation of the scripts, not their use.

%prep
%setup -q -n autoconf-%{version}
%patch0

%build
%{suse_update_config -f config}
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
make %{?_smp_mflags}

%if "%{name}" == "autoconf-testsuite"

%check
trap 'test $? -ne 0 && cat tests/testsuite.log' EXIT
make check

%install
%else

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/*.el*
%endif

%post
%install_info --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%if "%{name}" == "autoconf"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_prefix}/bin/*
%{_prefix}/share/autoconf
%doc %{_infodir}/*.gz
%doc %{_mandir}/man1/*.gz
%endif

%changelog
